Bug 499275 - Xorg hang (and kernel oops) at startup on Mac Mini (EFI + 945GM)
Xorg hang (and kernel oops) at startup on Mac Mini (EFI + 945GM)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 18:06 EDT by Will Woods
Modified: 2018-04-11 05:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log - the first Xorg process (8.41 KB, text/plain)
2009-05-05 18:06 EDT, Will Woods
no flags Details

  None (edit)
Description Will Woods 2009-05-05 18:06:22 EDT
Created attachment 342549 [details]
Xorg.0.log - the first Xorg process

Xorg hangs when started on a Mac Mini (EFI firmware, 945GM video). Actually, I guess it crashes, gdm starts a new one, and *that* one hangs - see below).

No xorg.conf was used.

Interesting lines from dmesg:
efifb: dmi detected Macmini1,1 - framebuffer at 80000000 (1024x768, stride 8192)
efifb: probing for efifb
efifb: framebuffer at 0x80000000, mapped to 0xf8100000, using 8400k, total 8400k
efifb: mode is 1680x1050x32, linelength=8192, pages=1
efifb: scrolling: redraw
efifb: Truecolor: size=8:8:8:8, shift=24:16:8:0
Console: switching to colour frame buffer device 210x65
fb0: EFI VGA frame buffer device

...

Linux agpgart interface v0.103
agpgart-intel 0000:00:00.0: Intel 945GM Chipset
agpgart-intel 0000:00:00.0: detected 16124K stolen memory
agpgart-intel 0000:00:00.0: AGP aperture is 256M @ 0x80000000

...

[drm] Initialized drm 1.1.0 20060810
i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
i915 0000:00:02.0: setting latency timer to 64
i915 0000:00:02.0: Invalid ROM contents
[drm:intel_init_bios] *ERROR* VBT signature missing
[drm] failed to find VBIOS tables
i915 0000:00:02.0: LVDS-1: no EDID data
allocated 1680x1050 fb: 0x00fdf000, bo f66da900
fbcon: inteldrmfb (fb1) is primary device
fbcon: Remapping primary device, fb1, to tty 1-63
[drm] DAC-6: set mode 1680x1050 13

...

fb1: inteldrmfb frame buffer device
registered panic notifier
[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0

[Xorg startup here]

i915 0000:00:02.0: Invalid ROM contents
BUG: unable to handle kernel paging request at 756e672e
IP: [<756e672e>] 0x756e672e
*pdpt = 0000000033495001 *pde = 0000000000000000 
Oops: 0010 [#1] SMP 
last sysfs file: /sys/devices/pci0000:00/0000:00:1e.0/0000:03:03.0/resource
Modules linked in: bridge stp llc bnep sco l2cap bluetooth sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq vfat fat dm_multipath uinput applesmc hwmon snd_hda_codec_idt input_polldev arc4 snd_hda_intel ecb iTCO_wdt i2c_i801 iTCO_vendor_support pcspkr snd_hda_codec firewire_ohci firewire_core snd_hwdep crc_itu_t snd_pcm ath5k tpm_infineon snd_timer tpm snd mac80211 soundcore tpm_bios sky2 cfg80211 snd_page_alloc i915 drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]

Pid: 2015, comm: Xorg Not tainted (2.6.29.2-126.fc11.i686.PAE #1) Macmini1,1
EIP: 0060:[<756e672e>] EFLAGS: 00213246 CPU: 1
EIP is at 0x756e672e
EAX: f6032ab0 EBX: f6032ab0 ECX: f59c3a80 EDX: 00000003
ESI: f6038000 EDI: f6038738 EBP: f35efeb0 ESP: f35efe9c
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process Xorg (pid: 2015, ti=f35ee000 task=f2c571a0 task.ti=f35ee000)
Stack:
 f8960194 00203246 f8ad0444 f6038000 f6038618 f35eff08 f8960df0 f35eff38
 f8ad0444 f2c39b80 f35eff20 0053ac14 f345f9f0 f6038744 f8ac2c0c f6038000
 f6031ab0 f603872c f345f9f0 f345f7b0 00203286 f603a004 00000001 00000000
Call Trace:
 [<f8960194>] ? drm_helper_disable_unused_functions+0x33/0xc2 [drm]
 [<f8960df0>] ? drm_crtc_helper_set_config+0x460/0x58a [drm]
 [<f8abe820>] ? intelfb_restore+0x12/0x14 [i915]
 [<f8aae933>] ? i915_driver_lastclose+0x2a/0x52 [i915]
 [<f8956923>] ? drm_lastclose+0x3b/0x24c [drm]
 [<f8956eb8>] ? drm_release+0x378/0x408 [drm]
 [<f8956f19>] ? drm_release+0x3d9/0x408 [drm]
 [<c04a98e9>] ? __fput+0xce/0x15b
 [<c04a998e>] ? fput+0x18/0x1a
 [<c04a6f7d>] ? filp_close+0x56/0x60
 [<c04a6ffb>] ? sys_close+0x74/0xac
 [<c040945f>] ? sysenter_do_call+0x12/0x34
Code:  Bad EIP value.
EIP: [<756e672e>] 0x756e672e SS:ESP 0068:f35efe9c
---[ end trace de62f8db0c481ea4 ]---

After this point there's an Xorg.0.log and Xorg.1.log, and Xorg is running on tty8. I assume the first Xorg instance died with the oops, and the second one was then started. 

The second Xorg is stuck in ioctl - looks like maybe it's trying to set the video mode:

#0  0x005d6424 in __kernel_vsyscall ()
#1  0x00894b89 in ioctl () from /lib/libc.so.6
#2  0x002117ad in drmIoctl (fd=8, request=3228066978, arg=0xbfd0aa54) at xf86drm.c:187
#3  0x00215a7b in drmModeSetCrtc (fd=8, crtcId=3, bufferId=18, x=0, y=0, connectors=0x9ea7128, count=1, mode=0xbfd0ac3c) at xf86drmMode.c:292
#4  0x00e5c1af in drmmode_set_mode_major (crtc=0x9ea30d0, mode=<value optimized out>, rotation=1, x=0, y=0) at drmmode_display.c:220
#5  0x080e8584 in xf86CrtcSetModeTransform (crtc=0x9ea30d0, mode=0x9ea318c, rotation=43604, transform=0x0, x=0, y=0) at xf86Crtc.c:259
#6  0x080e8ebf in xf86SetDesiredModes (scrn=0x9ea1030) at xf86Crtc.c:2505
#7  0x00e2be69 in I830EnterVT (scrnIndex=0, flags=0) at i830_driver.c:3584
#8  0x00e2d527 in I830ScreenInit (scrnIndex=0, pScreen=0x9ea5fc0, argc=8, argv=0xbfd0b154) at i830_driver.c:3257
#9  0x0806b218 in AddScreen (pfnInit=0xe2c5e0 <I830ScreenInit>, argc=8, argv=0xbfd0b154) at main.c:702
#10 0x080a957e in InitOutput (pScreenInfo=0x82131a0, argc=8, argv=0xbfd0b154) at xf86Init.c:1256
#11 0x0806b933 in main (argc=8, argv=0xbfd0b154, envp=0xbfd0b178) at main.c:315
Comment 1 Bug Zapper 2009-06-09 11:13:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matěj Cepl 2009-11-05 13:28:36 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Bug Zapper 2010-04-27 10:08:50 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:23:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.